gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2002-000292

Red Hat Linux が実装する Canna の リクエスト処理におけるサービス運用妨害 (DoS) の脆弱性

6.4
2007/04/01 00:00
CVE-2002-1159

JVNDB-2002-000292

Red Hat Linux が実装する Canna の リクエスト処理におけるサービス運用妨害 (DoS) の脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ Canna 3.6 以前には irw_through 関数に不備が存在し、バッファオーバーフローを引き起こす可能性があります。このヒープ領域のバッファオーバーフローを発生させることにより、リモートの攻撃者は Canna の実行権限 (通常 bin) で任意のコードを実行することが可能です。 また、Canna 3.6 以前にはユーザから与えられたリクエストの妥当性の確認に不備が存在します。リモートの攻撃者は、標的ホストに意図的に作成したリクエストを送信することで上記のバッファオーバーフロー攻撃に利用可能な情報を奪取する、あるいは Canna をサービス不能状態に陥らせることが可能です。 尚、Red Hat Linux 7.x (除く 7.0) および 8.0 においてインストール時に日本語環境をサポートするよう選択した場合、この問題の影響を受ける Canna 3.5b2 が同梱されます。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2002-000292は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度6.4N/A
CVECVE-2002-1159
公表日2002/12/02 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。